Aller au contenu
Parcourir la référence
Toutes les ressources

Objectifs

4 endpoints · Les descriptions des points de terminaison sont en anglais.

Get the goal attached to a category

GET/households/{householdId}/categories/{categoryId}/goal
read:goals

Paramètres

NomEmplacementRequis
categoryIdpathRequis
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/categories/{categoryId}/goal
Réponse200 · Success

Create or replace the goal on a category (one goal per category)

PUT/households/{householdId}/categories/{categoryId}/goal
write:goals

Paramètres

NomEmplacementRequis
categoryIdpathRequis
Corps de la requête
json
{  "kind": "target_by_date",  "targetCents": 600000,  "byDate": "2026-12-31"}
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PUT https://api.vokse.ai/households/current/categories/{categoryId}/goal \     -d '{"kind":"target_by_date","targetCents":600000,"byDate":"2026-12-31"}'
Réponse200 · Success

Remove the goal from a category

DELETE/households/{householdId}/categories/{categoryId}/goal
write:goals

Paramètres

NomEmplacementRequis
categoryIdpathRequis
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X DELETE https://api.vokse.ai/households/current/categories/{categoryId}/goal
Réponse204 · No content

List every goal in the household

GET/households/{householdId}/goals
read:goals
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/goals
Réponse200 · Success